%define _jarsign_opts --nocopy
%bcond_without zip

%define apxs apxs24
%define httpd httpd24

%define reltag GA
#%define namedversion %{name}-%{version}.%{reltag}
%define namedversion %{name}-%{version}

Name: mod_bmx
Summary: BMX is a framework for Apache to provide internal runtime statistics and configuration information to interested remote agents.
Version: 0.9.5
Release: 5.%{reltag}%{?dist}
License: Apache License, Version 2.0

# https://github.com/hyperic/mod_bmx/archive/0.9.5.tar.gz
Source0: %{namedversion}.tar.gz
# build/scripts patches
Patch1: JWS-118.patch

Group: Development/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%if "%{?rhel}" == "7"
# 64 bit only natives on RHEL7
ExcludeArch: i386 i686
%endif

%if "%{?rhel}" == "6"
BuildRequires: perl
%endif

BuildRequires: libtool
BuildRequires: %{httpd}-devel

%if "%{?rhel}" == "6"
BuildRequires: zip
%endif

Requires: %{httpd}

%description
BMX is a framework for Apache to provide internal runtime statistics
and configuration information to interested remote agents. It can
be used to report on the internal workings and status of Apache at
runtime, such as performance metrics and current capacity.

%if %with zip
%package src-zip
Summary:     Container for the source distribution of mod_bmx
Group:       Development

%description src-zip
Container for the source distribution of mod_bmx.
%endif

%prep
%setup -q -n %{namedversion}
%patch1 -p1 -b .jws118

#Create src zip to include any patches
%if %with zip
zip -q -r %{name}-%{version}-src.zip *
%endif

%build
APXS=`which %{apxs}` sh ./configure.apxs
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{httpd}/modules/ \
         $RPM_BUILD_ROOT%{_sysconfdir}/%{httpd}/conf.d

cp modules/bmx/.libs/*.so $RPM_BUILD_ROOT%{_libdir}/%{httpd}/modules/
rm $RPM_BUILD_ROOT%{_libdir}/%{httpd}/modules/mod_bmx_example.so
                                                                                                    
%if %with zip
mkdir -p $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
cp %{name}-%{version}-src.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root,-)

# %config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_snmp.conf.sample
# %config(noreplace) %{_sysconfdir}/httpd/conf.d/snmpd/snmpd.conf.sample
%{_libdir}/%{httpd}/modules/*.so

%if %with zip
%files src-zip
%defattr(-,root,root,-)
%{_javadir}/jbossas-fordev/*
%endif

%changelog
* Wed May 27 2015 Beck Maxime <maxbeck@redhat.com> - 0:0.9.5-5
- JWS-118

* Sat Feb 28 2015 Weinan Li <weli@redhat.com> - 0:0.9.5-4
- Remove mod_bmx_example.so

* Mon Nov 17 2014 Weinan Li <weli@redhat.com> - 0:0.9.5-3
- Enable zip across all platforms

* Thu Oct 16 2014 Weinan Li <weli@redhat.com> - 0:0.9.5-2
- Use correct httpd for el7

* Thu Sep 18 2014 Weinan Li <weli@redhat.com> - 0:0.9.5
- Initial import

